Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class ShowInNavigatorAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.SelectionProviderAction
              org.eclipse.ui.views.navigator.ShowInNavigatorAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class ShowInNavigatorAction
extends SelectionProviderAction

An action which shows the current selection in the Navigator view. For each element in the selection, if it is an `IResource` it uses it directly, otherwise if it is an `IMarker` it uses the marker's resource, otherwise if it is an `IAdaptable`, it tries to get the `IResource.class` adapter.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ShowInNavigatorAction(IWorkbenchPage page, ISelectionProvider viewer)`

Method Summary
`void` | `run()` Shows the Navigator view and sets its selection to the resources selected in this action's selection provider.
`void` | `selectionChanged(IStructuredSelection selection)` Notifies this action that the given structured selection has changed in the selection provider.

Methods inherited from class org.eclipse.ui.actions.SelectionProviderAction
`dispose, getSelection, getSelectionProvider, getStructuredSelection, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowInNavigatorAction

    public ShowInNavigatorAction(IWorkbenchPage page,
                                 ISelectionProvider viewer)

Method Detail

### run

    public void run()

  Shows the Navigator view and sets its selection to the resources selected in this action's selection provider.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

  Description copied from class: `SelectionProviderAction`
  Notifies this action that the given structured selection has changed in the selection provider.

  The `SelectionProviderAction` implementation of this method does nothing. Subclasses may reimplement to react to this selection change.

  Overrides:
    `selectionChanged` in class `SelectionProviderAction`
  Parameters:
    `selection` - the new selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.